BUILDING GHOSTSCRIPT FOR USE WITH HYLAFAX

If you are not using the Display PostScript-based imager on a Silicon Graphics machine, then you need to build a version of Ghostscript that includes the tiffg3 device driver. This driver was included with Ghostscript starting with version 2.6.1. Ghostscript and its fonts can be found at many public FTP sites around the Internet. If you are unfamiliar with Ghostscript you can find information about it at http://www.cs.wisc.edu/~ghost/.

To setup Ghostscript do the following:

1. Create a Makefile following the Ghostscript documentation.
2. Add `tiffg3.dev` to the list of configured devices in the Makefile if it is not already present (recent versions of Ghostscript automatically include it).
3. Build a gs executable that includes the tiffg3 driver.
4. Verify that you have configured your gs executable correctly by running it with the `-h` option and looking for the tiffg3 driver in the list of available devices; e.g.

       hyla% gs -h
       Aladdin Ghostscript version 2.9.9 (6/23/1994)
       Copyright (C) 1990-1994 Aladdin Enterprises, Menlo Park, CA.
       Usage: gs [switches] [file1.ps file2.ps ...]
       Available devices:
               x11 tiffg3 tiffg4
       Search path:
           .
           /usr/local/lib/ghostscript/gs-2.9.7:/usr/local/lib/ghostscript/fonts
       Most frequently used switches: (you can use # in place of =)
           -d<name>[=<token>]   define name as token, or true if no token given
           -dNOPAUSE            don't pause between pages
           -g<width>x<height>   set width and height (`geometry'), in pixels
           -q                   `quiet' mode, suppress most messages
           -r<res>              set resolution, in pixels per inch
           -s<name>=<string>    define name as string
           -sDEVICE=<devname>   select initial device
           -sOutputFile=<file>  select output file: embed 268501088 for page #,
                                  - means stdout, use |command to pipe
           -                    read from stdin (e.g., a pipe) non-interactively
       For more information, see the (plain text) file use.doc
         in the directory (null).

5. Install the gs executable and the associated runtime support code (e.g. ``make install'').
6. Install, if necessary, the Ghostscript fonts (these may come separately from the Ghostscript source distribution).

Make sure that HylaFAX is configured to use the version of Ghostscript that you have installed. HylaFAX assumes that Ghostscript is installed in the /usr/local hierarchy; if this is not where you placed it then you will need to specify the location with the `PATH_GSRIP` configuration parameter when setting up a HylaFAX build environment.

| Note that on machines with dynamic shared libraries (e.g. SunOS), if you link Ghostscript with the X11 device driver and use shared X11 libraries that are not in a standard location, then you need to link Ghostscript with arguments that force it to specifically search these directories, or augment the HylaFAX util/ps2fax.gs.sh script; e.g.

      LD_LIBRARY_PATH=/usr/local/R5/lib:/usr/openwin/lib
      export LD_LIBRARY_PATH

| Beware that while many versions of Ghostscript between 2.6.1 and 3.12 have a tiffg32d driver that claims to support 2D-encoded facsimile data, but does so incorrectly. Ghostscript versions 3.13 and later generate correct 2D-encoded data.

Finally, beware that recent versions of Ghostscript require several additional packages such as the Independent JPEG Group (IJG) distribution for the PostScript Level II support. These additional software packages may come bundled in archives separate from the basic Ghostscript distribution. Consult the Ghostscript documentation for specifics.

HylaFAX table of contents.